MillionSend Docs

/audiences/{audienceId}/contacts

POST
/audiences/{audienceId}/contacts

Path Parameters

audienceId*string
Formatuuid

Request Body

application/json
  1. body
email*string

Bare email address (no display name); unique per team

Formatemail
first_name?string

First name

last_name?string

Last name

unsubscribed?boolean

Global opt-out from all marketing sends

properties?

Flat map of custom properties (string or number values)

segments?array<>

Segments to add the contact to on creation

topics?array<>

Initial per-topic subscription choices

Response Body

Contact created in the audience

application/json
  1. response
object*"contact"
Value in"contact"
id*string
Formatuuid
Example Request
curl -X POST 'https://api.millionsend.com/audiences/497f6eca-6276-4993-bfeb-53cbbbba6f08/contacts' \  -H 'Content-Type: application/json' \  -d '{  "email": "user@example.com"}'
Example Response
{  "object": "contact",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}